libmtp: LIBMTP_devicestorage_struct Struct Reference

libmtp 1.1.23

Data Fields
LIBMTP_devicestorage_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields
uint32_t | id
uint16_t | StorageType
uint16_t | FilesystemType
uint16_t | AccessCapability
uint64_t | MaxCapacity
uint64_t | FreeSpaceInBytes
uint64_t | FreeSpaceInObjects
char * | StorageDescription
char * | VolumeIdentifier
LIBMTP_devicestorage_t * | next
LIBMTP_devicestorage_t * | prev

## Detailed Description

LIBMTP Device Storage structure

## Field Documentation

## ◆ AccessCapability

uint16_t LIBMTP_devicestorage_struct::AccessCapability

Access capability

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ FilesystemType

uint16_t LIBMTP_devicestorage_struct::FilesystemType

Filesystem type

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ FreeSpaceInBytes

uint64_t LIBMTP_devicestorage_struct::FreeSpaceInBytes

Free space in bytes

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ FreeSpaceInObjects

uint64_t LIBMTP_devicestorage_struct::FreeSpaceInObjects

Free space in objects

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ id

uint32_t LIBMTP_devicestorage_struct::id

Unique ID for this storage

Examples
  detect.c, files.c, folders.c, sendtr.c, and tracks.c.

Referenced by LIBMTP_Dump_Device_Info(), LIBMTP_Format_Storage(), and LIBMTP_Get_Storage().

## ◆ MaxCapacity

uint64_t LIBMTP_devicestorage_struct::MaxCapacity

Maximum capability

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ next

LIBMTP_devicestorage_t* LIBMTP_devicestorage_struct::next

Next storage, follow this link until NULL

Examples
  detect.c, files.c, folders.c, sendtr.c, and tracks.c.

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ prev

LIBMTP_devicestorage_t* LIBMTP_devicestorage_struct::prev

Previous storage

Referenced by LIBMTP_Get_Storage().

## ◆ StorageDescription

char* LIBMTP_devicestorage_struct::StorageDescription

A brief description of this storage

Examples
  folders.c, and sendtr.c.

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ StorageType

uint16_t LIBMTP_devicestorage_struct::StorageType

Storage type

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

## ◆ VolumeIdentifier

char* LIBMTP_devicestorage_struct::VolumeIdentifier

A volume identifier

Referenced by LIBMTP_Dump_Device_Info(), and LIBMTP_Get_Storage().

The documentation for this struct was generated from the following file:

- libmtp.h